package cn.hmsoft.pay.data.model;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 支付表-支付宝订单明细
* @author: zxq
* @date: 2018-11-28 18:28:18
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "PAY_BILL_ALIPAY", keyColumn =  "BILL_ID" , sequenceName = "")
public class PayBillAlipay implements Serializable{
	private static final long serialVersionUID = -886589094830704941L;
	//app_id
	private String app_id;
	private Integer bill_id;
	//商品描述
	private String body;
	//买家支付宝用户号
	private String buyer_id;
	//付款金额
	private String buyer_pay_amount;
	//支付金额信息
	private String fund_bill_list;
	//交易结束时间
	private String gmt_close;
	//交易创建时间
	private String gmt_create;
	//交易付款时间
	private String gmt_payment;
	//交易退款时间
	private String gmt_refund;
	//开票金额
	private String invoice_amount;
	//商户业务号
	private String out_biz_no;
	//商户订单号
	private String out_trade_no;
	//回传参数
	private String passback_params;
	//集分宝金额
	private String point_amount;
	//实收金额
	private String receipt_amount;
	//总退款金额
	private String refund_fee;
	//卖家支付宝用户号
	private String seller_id;
	//订单标题
	private String subject;
	//订单金额
	private String total_amount;
	//支付宝交易号
	private String trade_no;
	//交易状态
	private String trade_status;
	//优惠券信息
	private String voucher_detail_list;

	/****
	 * app_id
	 */
	public String getApp_id() {
		return this.app_id;
	}

	/****
	 * app_id
	 */
	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}

	public Integer getBill_id() {
		return this.bill_id;
	}

	public void setBill_id(Integer bill_id) {
		this.bill_id = bill_id;
	}

	/****
	 * 商品描述
	 */
	public String getBody() {
		return this.body;
	}

	/****
	 * 商品描述
	 */
	public void setBody(String body) {
		this.body = body;
	}

	/****
	 * 买家支付宝用户号
	 */
	public String getBuyer_id() {
		return this.buyer_id;
	}

	/****
	 * 买家支付宝用户号
	 */
	public void setBuyer_id(String buyer_id) {
		this.buyer_id = buyer_id;
	}

	/****
	 * 付款金额
	 */
	public String getBuyer_pay_amount() {
		return this.buyer_pay_amount;
	}

	/****
	 * 付款金额
	 */
	public void setBuyer_pay_amount(String buyer_pay_amount) {
		this.buyer_pay_amount = buyer_pay_amount;
	}

	/****
	 * 支付金额信息
	 */
	public String getFund_bill_list() {
		return this.fund_bill_list;
	}

	/****
	 * 支付金额信息
	 */
	public void setFund_bill_list(String fund_bill_list) {
		this.fund_bill_list = fund_bill_list;
	}

	/****
	 * 交易结束时间
	 */
	public String getGmt_close() {
		return this.gmt_close;
	}

	/****
	 * 交易结束时间
	 */
	public void setGmt_close(String gmt_close) {
		this.gmt_close = gmt_close;
	}

	/****
	 * 交易创建时间
	 */
	public String getGmt_create() {
		return this.gmt_create;
	}

	/****
	 * 交易创建时间
	 */
	public void setGmt_create(String gmt_create) {
		this.gmt_create = gmt_create;
	}

	/****
	 * 交易付款时间
	 */
	public String getGmt_payment() {
		return this.gmt_payment;
	}

	/****
	 * 交易付款时间
	 */
	public void setGmt_payment(String gmt_payment) {
		this.gmt_payment = gmt_payment;
	}

	/****
	 * 交易退款时间
	 */
	public String getGmt_refund() {
		return this.gmt_refund;
	}

	/****
	 * 交易退款时间
	 */
	public void setGmt_refund(String gmt_refund) {
		this.gmt_refund = gmt_refund;
	}

	/****
	 * 开票金额
	 */
	public String getInvoice_amount() {
		return this.invoice_amount;
	}

	/****
	 * 开票金额
	 */
	public void setInvoice_amount(String invoice_amount) {
		this.invoice_amount = invoice_amount;
	}

	/****
	 * 商户业务号
	 */
	public String getOut_biz_no() {
		return this.out_biz_no;
	}

	/****
	 * 商户业务号
	 */
	public void setOut_biz_no(String out_biz_no) {
		this.out_biz_no = out_biz_no;
	}

	/****
	 * 商户订单号
	 */
	public String getOut_trade_no() {
		return this.out_trade_no;
	}

	/****
	 * 商户订单号
	 */
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}

	/****
	 * 回传参数
	 */
	public String getPassback_params() {
		return this.passback_params;
	}

	/****
	 * 回传参数
	 */
	public void setPassback_params(String passback_params) {
		this.passback_params = passback_params;
	}

	/****
	 * 集分宝金额
	 */
	public String getPoint_amount() {
		return this.point_amount;
	}

	/****
	 * 集分宝金额
	 */
	public void setPoint_amount(String point_amount) {
		this.point_amount = point_amount;
	}

	/****
	 * 实收金额
	 */
	public String getReceipt_amount() {
		return this.receipt_amount;
	}

	/****
	 * 实收金额
	 */
	public void setReceipt_amount(String receipt_amount) {
		this.receipt_amount = receipt_amount;
	}

	/****
	 * 总退款金额
	 */
	public String getRefund_fee() {
		return this.refund_fee;
	}

	/****
	 * 总退款金额
	 */
	public void setRefund_fee(String refund_fee) {
		this.refund_fee = refund_fee;
	}

	/****
	 * 卖家支付宝用户号
	 */
	public String getSeller_id() {
		return this.seller_id;
	}

	/****
	 * 卖家支付宝用户号
	 */
	public void setSeller_id(String seller_id) {
		this.seller_id = seller_id;
	}

	/****
	 * 订单标题
	 */
	public String getSubject() {
		return this.subject;
	}

	/****
	 * 订单标题
	 */
	public void setSubject(String subject) {
		this.subject = subject;
	}

	/****
	 * 订单金额
	 */
	public String getTotal_amount() {
		return this.total_amount;
	}

	/****
	 * 订单金额
	 */
	public void setTotal_amount(String total_amount) {
		this.total_amount = total_amount;
	}

	/****
	 * 支付宝交易号
	 */
	public String getTrade_no() {
		return this.trade_no;
	}

	/****
	 * 支付宝交易号
	 */
	public void setTrade_no(String trade_no) {
		this.trade_no = trade_no;
	}

	/****
	 * 交易状态
	 */
	public String getTrade_status() {
		return this.trade_status;
	}

	/****
	 * 交易状态
	 */
	public void setTrade_status(String trade_status) {
		this.trade_status = trade_status;
	}

	/****
	 * 优惠券信息
	 */
	public String getVoucher_detail_list() {
		return this.voucher_detail_list;
	}

	/****
	 * 优惠券信息
	 */
	public void setVoucher_detail_list(String voucher_detail_list) {
		this.voucher_detail_list = voucher_detail_list;
	}


}